<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useColumnType](./react.usecolumntype.md)

## useColumnType() function

<b>Signature:</b>

```typescript
export declare function useColumnType(table?: ColumnTable, column?: string): DataType;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  table | ColumnTable | <i>(Optional)</i> |
|  column | string | <i>(Optional)</i> |

<b>Returns:</b>

DataType

